prometheus-postgres-exporter(1)

NAME
prometheus-postgres-exporter - Prometheus exporter for PostgreSQL

SYNOPSIS

prometheus-postgres-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--web.listen-address
    Address to listen on for web interface and telemetry.

--web.config.file
    [EXPERIMENTAL] Path to configuration file that can enable TLS or authentication.

--web.telemetry-path
    Path under which to expose metrics.

--disable-default-metrics
    Do not include default metrics.

--disable-settings-metrics
    Do not include pg_settings metrics.

--auto-discover-databases
    Whether to discover the databases on a server dynamically.

--extend.query-path
    Path to custom queries to run.

--dumpmaps
    Do not run, simply dump the maps.

--constantLabels
    A list of label=value separated by comma(,).

--exclude-databases
    A list of databases to remove when autoDiscoverDatabases is enabled

--include-databases
    A list of databases to include when autoDiscoverDatabases is enabled

--metric-prefix
    A metric prefix can be used to have non-default (not "pg") prefixes for each of the metrics

--version
    Show application version.

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]